using System;

namespace TKH.Biztalk.Diagnostics
{
    /// <summary>
    /// Activity record used by the ServiceTraceViewer tool
    /// </summary>
    [Serializable]
    internal class Activity
    {
        private string activityName = string.Empty;
        private string activityType = string.Empty;

        public string ActivityName
        {
            get { return activityName; }
            set { activityName = value; }
        }

        public string ActivityType
        {
            get { return activityType; }
            set { activityType = value; }
        }

        internal Activity(string name, string type)
        {
            this.activityName = name;
            this.activityType = type;
        }

        public override string ToString()
        {
            return string.Format("Activity\nActivityName: {0}\nActivityType: {1}\n", ActivityName, ActivityType);
        }
    }
}
