using System;

namespace TKH.Biztalk.Diagnostics
{   
    /// <summary>
    /// 
    /// </summary>
    public enum EventId
    {
        /// <summary>
        /// Default
        /// </summary>
        Default = 0,

        /// <summary>
        /// Biztalk trace event
        /// </summary>
        BiztalkEvent = 20000,

        /// <summary>
        /// Biztalk trace message
        /// </summary>
        BiztalkMessage = 20001,

        /// <summary>
        /// Biztalk trace orchestration
        /// </summary>
        BiztalkOrchestration = 20002,
        
        /// <summary>
        /// Biztalk warning message
        /// </summary>
        BiztalkWarning = 20003,

        /// <summary>
        /// Biztalk error exception
        /// </summary>
        BiztalkException = 20090,

        /// <summary>
        /// Biztalk Soap Fault
        /// </summary>
        BiztalkSoapFault = 20091,
    }
}
